<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20190825150807 extends AbstractMigration
{
    public function getDescription() : string
    {
        return '';
    }

    public function up(Schema $schema) : void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('CREATE TABLE information_general (id INT AUTO_INCREMENT NOT NULL, nom_societe VARCHAR(255) NOT NULL, abreviation VARCHAR(255) NOT NULL, adresse VARCHAR(255) DEFAULT NULL, tel1 VARCHAR(255) NOT NULL, tel2 VARCHAR(255) NOT NULL, tel3 VARCHAR(255) DEFAULT NULL, email VARCHAR(255) NOT NULL, page_fb VARCHAR(255) NOT NULL, page_insta VARCHAR(255) DEFAULT NULL, img_logo VARCHAR(255) NOT NULL, img_couverture VARCHAR(255) NOT NULL, apropos VARCHAR(255) NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci ENGINE = InnoDB');
        $this->addSql('DROP TABLE mantis_api_token_table');
        $this->addSql('DROP TABLE mantis_bug_file_table');
        $this->addSql('DROP TABLE mantis_bug_history_table');
        $this->addSql('DROP TABLE mantis_bug_monitor_table');
        $this->addSql('DROP TABLE mantis_bug_relationship_table');
        $this->addSql('DROP TABLE mantis_bug_revision_table');
        $this->addSql('DROP TABLE mantis_bug_table');
        $this->addSql('DROP TABLE mantis_bug_tag_table');
        $this->addSql('DROP TABLE mantis_bug_text_table');
        $this->addSql('DROP TABLE mantis_bugnote_table');
        $this->addSql('DROP TABLE mantis_bugnote_text_table');
        $this->addSql('DROP TABLE mantis_category_table');
        $this->addSql('DROP TABLE mantis_config_table');
        $this->addSql('DROP TABLE mantis_custom_field_project_table');
        $this->addSql('DROP TABLE mantis_custom_field_string_table');
        $this->addSql('DROP TABLE mantis_custom_field_table');
        $this->addSql('DROP TABLE mantis_email_table');
        $this->addSql('DROP TABLE mantis_filters_table');
        $this->addSql('DROP TABLE mantis_news_table');
        $this->addSql('DROP TABLE mantis_plugin_table');
        $this->addSql('DROP TABLE mantis_project_file_table');
        $this->addSql('DROP TABLE mantis_project_hierarchy_table');
        $this->addSql('DROP TABLE mantis_project_table');
        $this->addSql('DROP TABLE mantis_project_user_list_table');
        $this->addSql('DROP TABLE mantis_project_version_table');
        $this->addSql('DROP TABLE mantis_sponsorship_table');
        $this->addSql('DROP TABLE mantis_tag_table');
        $this->addSql('DROP TABLE mantis_tokens_table');
        $this->addSql('DROP TABLE mantis_user_pref_table');
        $this->addSql('DROP TABLE mantis_user_print_pref_table');
        $this->addSql('DROP TABLE mantis_user_profile_table');
        $this->addSql('DROP TABLE mantis_user_table');
        $this->addSql('ALTER TABLE bonde_l DROP FOREIGN KEY FK_DD9AF366A76ED395');
        $this->addSql('DROP INDEX IDX_DD9AF366A76ED395 ON bonde_l');
        $this->addSql('ALTER TABLE bonde_l DROP user_id');
        $this->addSql('ALTER TABLE produit DROP FOREIGN KEY FK_29A5EC27FF25611A');
        $this->addSql('DROP INDEX IDX_29A5EC27FF25611A ON produit');
        $this->addSql('ALTER TABLE produit DROP taille_id, CHANGE popular popular TINYINT(1) DEFAULT NULL');
        $this->addSql('ALTER TABLE referentiels CHANGE popular popular TINYINT(1) DEFAULT NULL');
        $this->addSql('DROP INDEX UNIQ_1483A5E9F85E0677 ON users');
        $this->addSql('ALTER TABLE users ADD username_canonical VARCHAR(180) NOT NULL, ADD email VARCHAR(180) NOT NULL, ADD email_canonical VARCHAR(180) NOT NULL, ADD salt VARCHAR(255) DEFAULT NULL, ADD last_login DATETIME DEFAULT NULL, ADD confirmation_token VARCHAR(180) DEFAULT NULL, ADD password_requested_at DATETIME DEFAULT NULL, DROP facebook_id, DROP google_id, DROP image, CHANGE username username VARCHAR(180) NOT NULL, CHANGE password password VARCHAR(255) NOT NULL, CHANGE roles roles LONGTEXT NOT NULL COMMENT \'(DC2Type:array)\', CHANGE is_active enabled TINYINT(1) NOT NULL');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_1483A5E992FC23A8 ON users (username_canonical)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_1483A5E9A0D96FBF ON users (email_canonical)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_1483A5E9C05FB297 ON users (confirmation_token)');
    }

    public function down(Schema $schema) : void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() !== 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('CREATE TABLE mantis_api_token_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, name VARCHAR(128) NOT NULL COLLATE utf8_general_ci, hash VARCHAR(128) NOT NULL COLLATE utf8_general_ci, date_created INT UNSIGNED DEFAULT 1 NOT NULL, date_used INT UNSIGNED DEFAULT 1 NOT NULL, UNIQUE INDEX idx_user_id_name (user_id, name), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_file_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, bug_id INT UNSIGNED DEFAULT 0 NOT NULL, title VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, description VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, diskfile VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, filename VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, folder VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, filesize INT DEFAULT 0 NOT NULL, file_type VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, content LONGBLOB DEFAULT NULL, date_added INT UNSIGNED DEFAULT 1 NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, INDEX idx_diskfile (diskfile), INDEX idx_bug_file_bug_id (bug_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_history_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, bug_id INT UNSIGNED DEFAULT 0 NOT NULL, field_name VARCHAR(64) NOT NULL COLLATE utf8_general_ci, old_value VARCHAR(255) NOT NULL COLLATE utf8_general_ci, new_value VARCHAR(255) NOT NULL COLLATE utf8_general_ci, type SMALLINT DEFAULT 0 NOT NULL, date_modified INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_bug_history_bug_id (bug_id), INDEX idx_bug_history_date_modified (date_modified), INDEX idx_history_user_id (user_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_monitor_table (user_id INT UNSIGNED DEFAULT 0 NOT NULL, bug_id INT UNSIGNED DEFAULT 0 NOT NULL, INDEX idx_bug_id (bug_id), PRIMARY KEY(user_id, bug_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_relationship_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, source_bug_id INT UNSIGNED DEFAULT 0 NOT NULL, destination_bug_id INT UNSIGNED DEFAULT 0 NOT NULL, relationship_type SMALLINT DEFAULT 0 NOT NULL, INDEX idx_relationship_source (source_bug_id), INDEX idx_relationship_destination (destination_bug_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_revision_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, bug_id INT UNSIGNED NOT NULL, bugnote_id INT UNSIGNED DEFAULT 0 NOT NULL, user_id INT UNSIGNED NOT NULL, type INT UNSIGNED NOT NULL, value LONGTEXT NOT NULL COLLATE utf8_general_ci, timestamp INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_bug_rev_id_time (bug_id, timestamp), INDEX idx_bug_rev_type (type), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, reporter_id INT UNSIGNED DEFAULT 0 NOT NULL, handler_id INT UNSIGNED DEFAULT 0 NOT NULL, duplicate_id INT UNSIGNED DEFAULT 0 NOT NULL, priority SMALLINT DEFAULT 30 NOT NULL, severity SMALLINT DEFAULT 50 NOT NULL, reproducibility SMALLINT DEFAULT 10 NOT NULL, status SMALLINT DEFAULT 10 NOT NULL, resolution SMALLINT DEFAULT 10 NOT NULL, projection SMALLINT DEFAULT 10 NOT NULL, eta SMALLINT DEFAULT 10 NOT NULL, bug_text_id INT UNSIGNED DEFAULT 0 NOT NULL, os VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, os_build VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, platform VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, version VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, fixed_in_version VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, build VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, profile_id INT UNSIGNED DEFAULT 0 NOT NULL, view_state SMALLINT DEFAULT 10 NOT NULL, summary VARCHAR(128) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, sponsorship_total INT DEFAULT 0 NOT NULL, sticky TINYINT(1) DEFAULT \'0\' NOT NULL, target_version VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, category_id INT UNSIGNED DEFAULT 1 NOT NULL, date_submitted INT UNSIGNED DEFAULT 1 NOT NULL, due_date INT UNSIGNED DEFAULT 1 NOT NULL, last_updated INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_bug_fixed_in_version (fixed_in_version), INDEX idx_project (project_id), INDEX idx_bug_sponsorship_total (sponsorship_total), INDEX idx_bug_status (status), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_tag_table (bug_id INT UNSIGNED DEFAULT 0 NOT NULL, tag_id INT UNSIGNED DEFAULT 0 NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, date_attached INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_bug_tag_tag_id (tag_id), PRIMARY KEY(bug_id, tag_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bug_text_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, description LONGTEXT NOT NULL COLLATE utf8_general_ci, steps_to_reproduce LONGTEXT NOT NULL COLLATE utf8_general_ci, additional_information LONGTEXT NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bugnote_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, bug_id INT UNSIGNED DEFAULT 0 NOT NULL, reporter_id INT UNSIGNED DEFAULT 0 NOT NULL, bugnote_text_id INT UNSIGNED DEFAULT 0 NOT NULL, view_state SMALLINT DEFAULT 10 NOT NULL, note_type INT DEFAULT 0, note_attr VARCHAR(250) DEFAULT \'\' COLLATE utf8_general_ci, time_tracking INT UNSIGNED DEFAULT 0 NOT NULL, last_modified INT UNSIGNED DEFAULT 1 NOT NULL, date_submitted INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_last_mod (last_modified), INDEX idx_bug (bug_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_bugnote_text_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, note LONGTEXT NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_category_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, name VARCHAR(128) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, status INT UNSIGNED DEFAULT 0 NOT NULL, UNIQUE INDEX idx_category_project_name (project_id, name), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_config_table (config_id VARCHAR(64) NOT NULL COLLATE utf8_general_ci, project_id INT DEFAULT 0 NOT NULL, user_id INT DEFAULT 0 NOT NULL, access_reqd INT DEFAULT 0, type INT DEFAULT 90, value LONGTEXT NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(config_id, project_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_custom_field_project_table (field_id INT DEFAULT 0 NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, sequence SMALLINT DEFAULT 0 NOT NULL, PRIMARY KEY(field_id, project_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_custom_field_string_table (field_id INT DEFAULT 0 NOT NULL, bug_id INT DEFAULT 0 NOT NULL, value VARCHAR(255) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, text LONGTEXT DEFAULT NULL COLLATE utf8_general_ci, INDEX idx_custom_field_bug (bug_id), PRIMARY KEY(field_id, bug_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_custom_field_table (id INT AUTO_INCREMENT NOT NULL, name VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, type SMALLINT DEFAULT 0 NOT NULL, possible_values TEXT DEFAULT NULL COLLATE utf8_general_ci, default_value VARCHAR(255) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, valid_regexp VARCHAR(255) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, access_level_r SMALLINT DEFAULT 0 NOT NULL, access_level_rw SMALLINT DEFAULT 0 NOT NULL, length_min INT DEFAULT 0 NOT NULL, length_max INT DEFAULT 0 NOT NULL, require_report TINYINT(1) DEFAULT \'0\' NOT NULL, require_update TINYINT(1) DEFAULT \'0\' NOT NULL, display_report TINYINT(1) DEFAULT \'0\' NOT NULL, display_update TINYINT(1) DEFAULT \'1\' NOT NULL, require_resolved TINYINT(1) DEFAULT \'0\' NOT NULL, display_resolved TINYINT(1) DEFAULT \'0\' NOT NULL, display_closed TINYINT(1) DEFAULT \'0\' NOT NULL, require_closed TINYINT(1) DEFAULT \'0\' NOT NULL, filter_by TINYINT(1) DEFAULT \'1\' NOT NULL, INDEX idx_custom_field_name (name), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_email_table (email_id INT UNSIGNED AUTO_INCREMENT NOT NULL, email VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, subject VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, metadata LONGTEXT NOT NULL COLLATE utf8_general_ci, body LONGTEXT NOT NULL COLLATE utf8_general_ci, submitted INT UNSIGNED DEFAULT 1 NOT NULL, PRIMARY KEY(email_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_filters_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, user_id INT DEFAULT 0 NOT NULL, project_id INT DEFAULT 0 NOT NULL, is_public TINYINT(1) DEFAULT NULL, name VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, filter_string LONGTEXT NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_news_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, poster_id INT UNSIGNED DEFAULT 0 NOT NULL, view_state SMALLINT DEFAULT 10 NOT NULL, announcement TINYINT(1) DEFAULT \'0\' NOT NULL, headline VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, body LONGTEXT NOT NULL COLLATE utf8_general_ci, last_modified INT UNSIGNED DEFAULT 1 NOT NULL, date_posted INT UNSIGNED DEFAULT 1 NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_plugin_table (basename VARCHAR(40) NOT NULL COLLATE utf8_general_ci, enabled TINYINT(1) DEFAULT \'0\' NOT NULL, protected TINYINT(1) DEFAULT \'0\' NOT NULL, priority INT UNSIGNED DEFAULT 3 NOT NULL, PRIMARY KEY(basename)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_project_file_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, title VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, description VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, diskfile VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, filename VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, folder VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, filesize INT DEFAULT 0 NOT NULL, file_type VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, content LONGBLOB DEFAULT NULL, date_added INT UNSIGNED DEFAULT 1 NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_project_hierarchy_table (child_id INT UNSIGNED NOT NULL, parent_id INT UNSIGNED NOT NULL, inherit_parent TINYINT(1) DEFAULT \'0\' NOT NULL, INDEX idx_project_hierarchy_parent_id (parent_id), UNIQUE INDEX idx_project_hierarchy (child_id, parent_id), INDEX idx_project_hierarchy_child_id (child_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_project_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, name VARCHAR(128) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, status SMALLINT DEFAULT 10 NOT NULL, enabled TINYINT(1) DEFAULT \'1\' NOT NULL, view_state SMALLINT DEFAULT 10 NOT NULL, access_min SMALLINT DEFAULT 10 NOT NULL, file_path VARCHAR(250) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, description LONGTEXT NOT NULL COLLATE utf8_general_ci, category_id INT UNSIGNED DEFAULT 1 NOT NULL, inherit_global TINYINT(1) DEFAULT \'0\' NOT NULL, UNIQUE INDEX idx_project_name (name), INDEX idx_project_view (view_state), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_project_user_list_table (project_id INT UNSIGNED DEFAULT 0 NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, access_level SMALLINT DEFAULT 10 NOT NULL, INDEX idx_project_user (user_id), PRIMARY KEY(project_id, user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_project_version_table (id INT AUTO_INCREMENT NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, version VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, description LONGTEXT NOT NULL COLLATE utf8_general_ci, released TINYINT(1) DEFAULT \'1\' NOT NULL, obsolete TINYINT(1) DEFAULT \'0\' NOT NULL, date_order INT UNSIGNED DEFAULT 1 NOT NULL, UNIQUE INDEX idx_project_version (project_id, version), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_sponsorship_table (id INT AUTO_INCREMENT NOT NULL, bug_id INT DEFAULT 0 NOT NULL, user_id INT DEFAULT 0 NOT NULL, amount INT DEFAULT 0 NOT NULL, logo VARCHAR(128) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, url VARCHAR(128) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, paid TINYINT(1) DEFAULT \'0\' NOT NULL, date_submitted INT UNSIGNED DEFAULT 1 NOT NULL, last_updated INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_sponsorship_bug_id (bug_id), INDEX idx_sponsorship_user_id (user_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_tag_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, name VARCHAR(100) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, user_id INT UNSIGNED DEFAULT 0 NOT NULL, description LONGTEXT NOT NULL COLLATE utf8_general_ci, date_created INT UNSIGNED DEFAULT 1 NOT NULL, date_updated INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_tag_name (name), PRIMARY KEY(id, name)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_tokens_table (id INT AUTO_INCREMENT NOT NULL, owner INT NOT NULL, type INT NOT NULL, value LONGTEXT NOT NULL COLLATE utf8_general_ci, timestamp INT UNSIGNED DEFAULT 1 NOT NULL, expiry INT UNSIGNED DEFAULT 1 NOT NULL, INDEX idx_typeowner (type, owner), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_user_pref_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, project_id INT UNSIGNED DEFAULT 0 NOT NULL, default_profile INT UNSIGNED DEFAULT 0 NOT NULL, default_project INT UNSIGNED DEFAULT 0 NOT NULL, refresh_delay INT DEFAULT 0 NOT NULL, redirect_delay INT DEFAULT 0 NOT NULL, bugnote_order VARCHAR(4) DEFAULT \'ASC\' NOT NULL COLLATE utf8_general_ci, email_on_new TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_assigned TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_feedback TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_resolved TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_closed TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_reopened TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_bugnote TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_status TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_priority TINYINT(1) DEFAULT \'0\' NOT NULL, email_on_priority_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_status_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_bugnote_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_reopened_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_closed_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_resolved_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_feedback_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_assigned_min_severity SMALLINT DEFAULT 10 NOT NULL, email_on_new_min_severity SMALLINT DEFAULT 10 NOT NULL, email_bugnote_limit SMALLINT DEFAULT 0 NOT NULL, language VARCHAR(32) DEFAULT \'english\' NOT NULL COLLATE utf8_general_ci, timezone VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_user_print_pref_table (user_id INT UNSIGNED DEFAULT 0 NOT NULL, print_pref VARCHAR(64) NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(user_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_user_profile_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, user_id INT UNSIGNED DEFAULT 0 NOT NULL, platform VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, os VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, os_build VARCHAR(32) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, description LONGTEXT NOT NULL COLLATE utf8_general_ci, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('CREATE TABLE mantis_user_table (id INT UNSIGNED AUTO_INCREMENT NOT NULL, username VARCHAR(191) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, realname VARCHAR(191) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, email VARCHAR(191) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, password VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, enabled TINYINT(1) DEFAULT \'1\' NOT NULL, protected TINYINT(1) DEFAULT \'0\' NOT NULL, access_level SMALLINT DEFAULT 10 NOT NULL, login_count INT DEFAULT 0 NOT NULL, lost_password_request_count SMALLINT DEFAULT 0 NOT NULL, failed_login_count SMALLINT DEFAULT 0 NOT NULL, cookie_string VARCHAR(64) DEFAULT \'\' NOT NULL COLLATE utf8_general_ci, last_visit INT UNSIGNED DEFAULT 1 NOT NULL, date_created INT UNSIGNED DEFAULT 1 NOT NULL, UNIQUE INDEX idx_user_username (username), INDEX idx_access (access_level), UNIQUE INDEX idx_user_cookie_string (cookie_string), INDEX idx_enable (enabled), INDEX idx_email (email), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB COMMENT = \'\' ');
        $this->addSql('DROP TABLE information_general');
        $this->addSql('ALTER TABLE bonde_l ADD user_id INT DEFAULT NULL');
        $this->addSql('ALTER TABLE bonde_l ADD CONSTRAINT FK_DD9AF366A76ED395 FOREIGN KEY (user_id) REFERENCES users (id)');
        $this->addSql('CREATE INDEX IDX_DD9AF366A76ED395 ON bonde_l (user_id)');
        $this->addSql('ALTER TABLE produit ADD taille_id INT DEFAULT NULL, CHANGE popular popular TINYINT(1) DEFAULT \'0\'');
        $this->addSql('ALTER TABLE produit ADD CONSTRAINT FK_29A5EC27FF25611A FOREIGN KEY (taille_id) REFERENCES referentiels (id)');
        $this->addSql('CREATE INDEX IDX_29A5EC27FF25611A ON produit (taille_id)');
        $this->addSql('ALTER TABLE referentiels CHANGE popular popular TINYINT(1) DEFAULT \'0\'');
        $this->addSql('DROP INDEX UNIQ_1483A5E992FC23A8 ON users');
        $this->addSql('DROP INDEX UNIQ_1483A5E9A0D96FBF ON users');
        $this->addSql('DROP INDEX UNIQ_1483A5E9C05FB297 ON users');
        $this->addSql('ALTER TABLE users ADD google_id VARCHAR(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci, ADD image VARCHAR(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci, DROP username_canonical, DROP email, DROP email_canonical, DROP last_login, DROP confirmation_token, DROP password_requested_at, CHANGE username username VARCHAR(25) NOT NULL COLLATE utf8mb4_unicode_ci, CHANGE password password VARCHAR(500) NOT NULL COLLATE utf8mb4_unicode_ci, CHANGE roles roles LONGTEXT NOT NULL COLLATE utf8mb4_unicode_ci COMMENT \'(DC2Type:json_array)\', CHANGE enabled is_active TINYINT(1) NOT NULL, CHANGE salt facebook_id VARCHAR(255) DEFAULT NULL COLLATE utf8mb4_unicode_ci');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_1483A5E9F85E0677 ON users (username)');
    }
}
